Name:           packagedb-cli
Version:        2.2
Release:        1%{?dist}
Summary:        A CLI for pkgdb

License:        GPLv2+
URL:            https://fedorahosted.org/packagedb-cli/
Source0:        https://fedorahosted.org/releases/p/a/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?rhel} && 0%{?rhel} < 6 
# EPEL 5
BuildRequires:  python26
Requires:       python26-argparse
%else
# EPEL6+, Fedora
BuildRequires:  python
%endif
BuildRequires:  python-setuptools
BuildRequires:  python-fedora
BuildRequires:  python-bugzilla
BuildRequires:  fedora-cert
BuildRequires:  koji

# EPEL6+, Fedora13-
%if 0%{?rhel} >= 6 || ( 0%{?fedora} && 0%{?fedora} <= 13 )
Requires:       python-argparse
%endif

Requires(post): python-fedora
Requires(post): python-requests
Requires:       python-bugzilla
Requires:       koji
Requires:       fedora-cert
Provides:       pkgdb-cli = %{version}-%{release}

%description
packagedb-cli is a command line interface of the well-known
packagedb of the Fedora project.

It allows you to manage the ACL for your packages as well
as requesting new ACL for new packages.
It also allows you to orphan and/or retire your package(s).

%prep
%setup -q

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README LICENSE
%{python_sitelib}/pkgdb2_cli.py*
%{python_sitelib}/pkgdb2client.py*
%{python_sitelib}/packagedb_cli*.egg-info
%{_bindir}/pkgdb-cli


%changelog
* Thu May 15 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.2-1
- Update to 2.2
- Replaces `devel` by `master`
- Fix layout for groups
- Rely on /api/critpath for the get_critpath_packages method
- Log URLs before calling them rather than after

* Thu May 15 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.1-1
- Update to 2.1
- Adds supports to pkgdb2client for the critpath filtering or querying

* Wed May 14 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0-1
- Update to 2.0 for pkgdb2
- Adjust spec to rely on the newly included setup.py
- Add BR on python-setuptools (and explicitely on python-requests)
- Adjust the BR now that we use setup.py, all R are also BR

* Mon Mar 10 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.7.0-1
- Update to 1.7.0
- Add the branches command
- Fix the --branch filter in the list command

* Sat Sep 07 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.6.0-1
- Update to 1.6.0
- Fixes RHBZ#1002694 (rework the retire process, remove toggling)

* Thu Sep 05 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.5.1-1
- Update to 1.5.1
- Fixes RHBZ#995430 and RHBZ#970120

* Thu May 23 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.5.0-1
- Update to 1.5.0
- Fixes RHBZ#966196

* Thu Mar 07 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4.1-2
- Backport 0001-Reverse-debuggingchanges.patch from upstream repo (fixes bz#918909)

* Thu Feb 28 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4.1-1
- Update to 1.4.1
- Fixes bug #916581

* Thu Feb 21 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4.0-1
- Update to 1.4.0

* Wed Jan 23 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.3.0-1
- Update to 1.3.0

* Sat Jan 21 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2.1-1
- Update to 1.2.1

* Thu Dec 15 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.0-3
- Add koji and fedora-cert as Requires

* Fri Nov 11 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.0-2
- Add python-bugzilla as a requires

* Thu Jul 28 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.0-1
- Update to 1.1.0

* Fri Jul 01 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-6
- Bump release

* Fri Jul 01 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-5
- Add a Provides to pkgdb-cli

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-4
- Make the spec compatible with epel5 (add BuildRoot and test for R/BR)

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-3
- Fix the usage in the -h/--help by sed (already fixed upstream)

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-2
- Used a temporary solution for Source0 for the review

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-1
- First package for Fedora
